ARE THERE ANY REQUIREMENTS FOR MY SMARTPHONE?
You need at least an iPhone 4s or newer or an android phone (4.2 or newer) with data flatrate. Windows phones are not compatible.



Couldn't find what you are searching for?

Create new ticket